﻿/* branding css */
/* --------------------------------------------------------------------
               		MYINTEGRALE
               	Main style-sheet
                  Worldline, 2019
-------------------------------------------------------------------- */

/*#region RESET */

html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, figure, figcaption, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td {
    margin: 0;
    padding: 0;
/*    border: 0;*/
}

html {
    overflow-y: auto;
}

header, footer, main, nav, aside, article, section, figure, figcaption {
    display: block;
    margin: 0;
    padding: 0;
    border: 0;
}

/*#endregion RESET */

/*#region DEFAULTS */
/* --- FONT FACE DECLARATIONS --- */
@font-face {
    font-family: 'StagBook';
    src: url("fonts/stag-book-webfont.eot");
    src: url("fonts/stag-book-webfont.eot?#iefix") format("embedded-opentype"), url("fonts/stag-book-webfont.woff") format("woff"), url("fonts/stag-book-webfont.ttf") format("truetype"), url("fonts/stag-book-webfont.svg#svgFontName") format("svg")
}

@font-face {
    font-family: 'Stag Sans Medium';
    src: url("fonts/StagLC-sans-medium.eot");
    src: local("?"), url("fonts/StagLC-sans-medium.woff") format("woff"), url("fonts/StagLC-sans-medium.ttf") format("truetype"), url("fonts/StagLC-sans-medium.svg#99fd25c110cc7503d76045299d72bd8f") format("svg");
    font-style: normal;
    font-weight: 400;
}

@font-face {
    font-family: 'Stag Sans Book';
    src: url("fonts/StagLC-sans-book.eot");
    src: local("?"), url("fonts/StagLC-sans-book.woff") format("woff"), url("fonts/StagLC-sans-book.ttf") format("truetype"), url("fonts/StagLC-sans-book.svg#8925de7fcbad6485079207f61d6c580c") format("svg");
    font-style: normal;
    font-weight: 400;
}

@font-face {
    font-family: 'Stag Sans Light';
    src: url("fonts/StagLC-sans-light.eot");
    src: local("?"), url("fonts/StagLC-sans-light.woff") format("woff"), url("fonts/StagLC-sans-light.ttf") format("truetype"), url("fonts/StagLC-sans-light.svg#180f9fa379fd55205595a50e9e6b11b5") format("svg");
    font-style: italic;
    font-weight: 200;
}

@font-face {
    font-family: 'Stag Sans Semibold';
    src: url("fonts/StagLC-sans-semibold.eot");
    src: local("?"), url("fonts/StagLC-sans-semibold.woff") format("woff"), url("fonts/StagLC-sans-semibold.ttf") format("truetype"), url("fonts/StagLC-sans-semibold.svg#b173c6206b47230bdc4eee6d3ff7df3d") format("svg");
    font-style: normal;
    font-weight: 700;
}

body {
    font: 100%/1 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif !important;
    -webkit-font-smoothing: antialiased;
    -webkit-text-stroke: -0.1px;
    color: #444;
    background: #FFF;
}

img {
    max-width: 100%;
    border: none;
}

button {
    font: 100%/1 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    background-color: rgba(255,255,255,0);
    border: none;
    cursor: pointer;
}

h1.main_header {
    display: inline-block;
    position: relative;
    overflow: hidden;
    width: 170px; /* MyIntegrale logo */
    height: 25px;
    left: 0.8rem;
    text-indent: 50em;
    background-size: 7.5rem;
    margin: 0.5rem 0 0 1.6rem;
}

.miLogo {
    background: url(../img/MISmall.png) 0 0.1em no-repeat;
}

.miAppLogo {
    background: url(../img/MIAppSmall.png) 0 0.1em no-repeat;
}

p, li, dt, dd {
    font-size: 0.9em;
}

    li li, li p, li dt, li dd {
        font-size: 100%;
    }

strong {
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-weight: normal;
}

[class^="icon-"] {
    display: block;
    overflow: hidden;
    width: 24px;
    height: 24px;
    white-space: nowrap;
    text-indent: 50px;
    background: url(../img/sprite.svg) 0 0 no-repeat;
}

.icon-account {
    background-position: 0 -61px;
    text-shadow: none;
}

.icon-logout {
    cursor: pointer;
    text-shadow: none;
}

.icon-menu {
    background-position: -1px -123px;
    margin-top: -4px;
}

/* Buttons bar for inputs */
.k-buttons-bar {
    clear: both;
    text-align: right;
    padding: 0;
    margin: 0 0 20px;
    border: none;
}

    /* Buttons bar for links */
    .k-buttons-bar li {
        display: inline;
        font-size: 0.95em;
        list-style-type: none;
    }

/* Valid actions - must duplicate declarations for IE6!!*/
input[type=button], input[type=submit] {
    font: 100% 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    /*text-transform: uppercase;*/
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.5);
    color: #FFF;
    background: #A40800;
    padding: 0.3em 1em;
    margin: 0 5px 8px;
    border: none;
    border-radius: 3px;
    box-shadow: 0 1px 1px rgba(0,0,0,.5);
    cursor: pointer;
    text-align: center;
    width: 180px;
    font-size: 10pt !important;
    font-weight: normal;
}

@media screen and (max-width: 849px) {
    .k-button, a.k-button, a.k-button:link, a.k-button:visited {
        /* Margin adjusted to this to make more clear for selection of buttons*/
        margin: -2px 0px 4px 8px !important;
    }

    #logout_button, #logout_cancel {
        margin: -2px 0px 12px 8px !important;
    }
}


.k-button, a.k-button, a.k-button:link, a.k-button:visited {
    display: inline-block;
    font: 100% 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    text-decoration: none;
    text-transform: uppercase;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.5);
    color: #FFF !important;
    background: #A40800;
    padding: 0.4em 1.3em;
    border-radius: 3px;
    box-shadow: 0 1px 1px rgba(0,0,0,.5);
    cursor: pointer;
}

    /*hover*/
    input[type=button]:hover, input[type=submit]:hover, a.k-button:hover {
        color: #FFF !important;
        background: #000;
    }

    /*focus*/
    input[type=button]:focus, input[type=submit]:focus, a.k-button:focus {
        color: #FFF;
        background: #000;
    }

/* Disabled actions */
input[type=submit]:disabled, input[type=button]:disabled {
    text-shadow: none;
    color: #999;
    background: #CCC;
    box-shadow: none;
    cursor: default;
}

.k-disabled {
    display: inline-block;
    font: 100% 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    text-transform: uppercase;
    text-shadow: none;
    color: #999;
    background: #CCC;
    padding: 0.4em 1.3em;
    margin: 0 5px 8px;
    border-radius: 3px;
}

/* Optional actions */
input[type=button].optional, input[type=submit].optional {
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.8);
    color: #FFF;
    background: #3E3E3E;
}

a.k-button.optional, a.k-button.optional:link, a.k-button.optional:visited {
    color: #FFF;
    background: #3E3E3E;
    text-align: center;
    width: 180px;
    font-size: 10pt !important;
    font-weight: normal;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

    /*hover*/
    input[type=button].optional:hover, input[type=submit].optional:hover, a.k-button.optional:hover {
        color: #FFF;
        background: #000;
    }

    /*focus*/
    input[type=button].optional:focus, input[type=submit].optional:focus, a.k-button.optional:focus {
        color: #FFF;
        background: #000;
    }

/* Reset Actions */
input[type=button].reset, input[type=reset] {
    font: 100% 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    text-transform: uppercase;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.5);
    color: #FFF;
    background: #3E3E3E;
    padding: 0.3em 1em;
    margin: 0 5px 8px;
    border: none;
    border-radius: 3px;
    box-shadow: 0 1px 1px rgba(0,0,0,.5);
    cursor: pointer;
}

a.k-button.reset, a.k-button.reset:link, a.k-button.reset:visited {
    color: #FFF;
    background: #3E3E3E;
}

    /* Hover/Focus */
    input[type=button].reset:hover, input[type=reset]:hover, a.k-button.reset:hover {
        color: #FFF;
        background: #000;
    }

    input[type=button]:focus, input[type=reset]:focus, a.k-button.reset:focus {
        color: #FFF;
        background: #000;
    }

/*#btnClear used for margin for clear button*/

#btnClear {
    margin-right: 10px;
}

/*#endregion DEFAULTS */

/*#region PAGE STRUCTURE */

#content {
    min-height: 80vh;
    margin: 1rem 5% 2rem;
}

[data-role="content"] {
    margin-top: 120px;
}

    [data-role="content"].message_padding {
        margin-top: 160px;
    }

header {
    position: fixed;
    z-index: 100;
    width: 100%;
    top: 0;
    left: 0;
    color: #FFF;
    background-color: #06A;
}

.subheader {
    text-align: center;
    background-color: #539BC9;
    padding: 4px 0 4px 0;
    font-weight: bold;
    font-size: 15pt;
    text-shadow: none;
}

ul.user {
    position: absolute;
    /*   width: 30%;*/
    top: 0.4rem;
    right: 5%;
    text-align: right;
}

    ul.user li {
        display: inline-block;
        width: 24px;
        list-style-type: none;
        padding-left: 1rem;
    }

ul.toolbar {
    position: absolute;
    right: 0.5rem;
    text-align: right;
}

    ul.toolbar li {
        display: inline-block;
        width: 24px;
        list-style-type: none;
    }

.submenu_buttons {
    top: 37px;
}

/*#endregion PAGE STRUCTURE */

/*#region NAVIGATION */

nav, nav p button {
    z-index: 1000;
}

p.control {
    position: absolute;
    top: 0.5rem;
    left: 0.5rem;
    width: 24px;
}

nav.sidenav ul {
    position: absolute;
    top: 2.2rem;
    left: -50rem;
    width: 90%;
    max-width: 300px;
    max-height: 80vh;
    list-style-type: none;
    background: #EFEFEF;
    box-shadow: 3px 5px 5px rgba(0,0,0,.3);
    transition: left 0.5s;
    z-index: 500;
}

    nav.sidenav ul.active {
        left: 0;
    }

nav.sidenav li {
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    border-bottom: 1px solid #CCC;
}

nav.sidenav a {
    display: block;
    white-space: nowrap;
    text-decoration: none;
    color: #000 !important;
    background-color: #EFEFEF;
    padding: 1.25vh 1.25vw;
    font-weight: normal;
}

    nav.sidenav li.active a, nav.sidenav a:hover, nav.sidenav a:focus {
        background-color: #FFF;
    }

/* SECOND LEVEL UL - Dropdown menu */

nav.sidenav ul.active.secondary_menu {
    left: 300px;
    top: 0;
    display: none;
}

/*#endregion NAVIGATION */

/*#region SUCCESS/ERROR MESSAGES */

.error_message {
    color: white;
    background: #7A0000;
    border-color: #7A0000;
    font-weight: normal !important;
}

.success_message {
    color: white;
    background: #236345;
    border-color: #236345 !important;
    font-weight: normal !important;
}

.caution_message {
    color: black;
    background: #F4B840;
    border-color: #F4B840 !important;
    font-weight: normal !important;
}

.caution_message_margin {
    margin: 0 5px 8px;
}

.success_error_text {
    width: calc(100% - 7rem);
    padding-top: 0.2em;
    padding: 2px;
}

.message_area::before {
    z-index: 99;
    content: "";
    flex-shrink: 0;
    width: 2.5rem;
    height: 1.5rem;
    padding-left: 1.5rem;
    background-repeat: no-repeat;
    background-size: 1.5rem;
    background-position: center center;
}

.message_area::after {
    z-index: 99;
    content: "";
    flex-shrink: 0;
    width: 2.5rem;
    height: 1.5rem;
    padding-left: 1.5rem;
    background-repeat: no-repeat;
    background-size: 1.5rem;
}

.success_message::before {
    filter: invert(93%) sepia(100%) saturate(0%) hue-rotate(332deg) brightness(102%) contrast(105%);
    background-image: url(dependencies/bootstrap-icons-1.5.0/check-circle.svg);
}

.error_message::before {
    filter: invert(93%) sepia(100%) saturate(0%) hue-rotate(332deg) brightness(102%) contrast(105%);
    background-image: url(dependencies/bootstrap-icons-1.5.0/exclamation-triangle.svg);
}

.caution_message::before {
    background-image: url(dependencies/bootstrap-icons-1.5.0/info-square.svg);
}

#networkStatus {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-left: 0;
    padding-right: 0;
    width: calc(100% + 32px); /* Make offline banner width of the full screen (incl L+R padding of parent) */
    margin-left: -16px; /* Offset parent left padding */
    background-color: #999999;
    border: none;
}

.cordova-settings, .tick-icon {
    width: 100px;
    margin-left: 15px;
}

    .cordova-settings::before, .tick-icon::before {
        z-index: 1000;
        filter: invert(93%) sepia(100%) saturate(0%) hue-rotate(332deg) brightness(102%) contrast(105%);
        content: "";
        flex-shrink: 0;
        width: 1.5rem;
        height: 1rem;
        padding-left: 2rem;
        background-repeat: no-repeat;
        background-size: 1rem;
        background-position: center center;
    }

    .cordova-settings::before {
        background-image: url(dependencies/bootstrap-icons-1.5.0/tools.svg);
    }

    .tick-icon::before {
        background-image: url(dependencies/bootstrap-icons-1.5.0/check-circle.svg);
    }

/*#endregion SUCCESS/ERROR MESSAGES */

/*#region CALENDAR CONTROL*/

#calendar_controls {
    text-align: center;
    margin: 10px 0px;
}

#calendar_header {
    display: inline-block;
}

    #calendar_header button {
        line-height: 1.2;
        padding: 4px;
        margin-left: -4px;
        height: 35px;
        text-align: center;
    }

    #calendar_header select {
        margin-left: -4px;
        width: 87px;
        height: 35px;
        text-align: center;
        font-weight: bold;
        font-weight: bold !important;
    }

#weeklyDropdown {
    width: 100px !important;
}

#monthlyDropdown.threeMonth {
    width: 150px !important;
}

.dropdownOption {
    background-color: white;
    color: black;
    text-align: left;
}

#calendar_header .dateSelectorColor {
    background-color: white;
    color: black;
    text-align: left;
}

#calendar_header_row_2 button {
    margin-top: -3px !important;
}

/*#endregion CALENDAR CONTROL*/

/*#region MEDIA QUERIES */

@media screen and (max-width:850px) {
    /*Fix alignment of icon with icon text*/
    span .icon_text_hide_on_mob {
        vertical-align: sub;
    }

    /*Reduces margin of content from top of screen*/
    [data-role="content"] {
        margin-top: 70px;
    }

        [data-role="content"].message_padding {
            margin-top: 120px;
        }

    ul.toolbar {
        position: absolute;
        right: 1.1rem;
        text-align: right;
    }

    .miLogo {
        background: url(../img/MISmall.png) 0 0.1em no-repeat !important;
    }

    .miAppLogo {
        background: url(../img/MIAppSmall.png) 0 0.1em no-repeat !important;
    }

    .icon-menu {
        background-position: -1px -123px;
        margin-top: -2px;
    }

    .icon-account {
        margin-top: -4px;
    }

    h1.main_header {
        width: 220px !important;
        height: 30px !important;
        background-size: 75% !important;
        margin-top: 3px;
    }
}

@media screen and (max-width:500px) and (orientation: portrait) {
    nav.sidenav ul.active.secondary_menu {
        position: static !important;
        width: 95%;
        padding-left: 5%;
    }

    nav.sidenav ul {
        overflow: auto !important;
    }
}

@media screen and (min-width: 850px) {
    #content, footer {
        padding-left: 5%;
        margin-left: 300px;
    }

    #content {
        margin-right: 3%;
    }

    h1.main_header {
        width: 250px;
        height: 52px;
        left: 3rem;
        background-size: contain;
        margin: 1.4rem 0 0.6rem 0;
    }

/*    .miLogo {
        background: url(../img/MIFull.png) 0 0.1em no-repeat;
    }

    .miAppLogo {
        background: url(../img/MIAppFull.png) 0 0.1em no-repeat;
    }*/


    p.control {
        position: absolute;
        top: 2.3rem;
        left: 1rem;
        width: 24px;
    }

    .submenu_buttons {
        top: 85.6px;
        margin: 0;
    }

    nav.sidenav ul {
        top: 5.4rem;
    }

    ul.user {
        top: 2rem;
        right: 3%;
    }

        ul.user li {
            width: auto;
        }

        ul.user a {
            line-height: 24px;
            color: #FFF !important;
            text-decoration: none;
            font-weight: normal !important;
        }

    ul.toolbar {
        right: 1em;
    }

        ul.toolbar li {
            width: auto;
        }

        ul.toolbar a {
            line-height: 24px !important;
            color: #FFF !important;
            text-decoration: none;
            font-weight: normal !important;
        }

    [class*="icon-"] {
        width: auto;
        overflow: visible;
        text-indent: 0;
        padding-left: 30px;
    }

    div.charts li {
        max-width: 180px;
    }
}

@media screen and (max-height: 800px) {
    nav.sidenav a {
        padding: 0.5em 0.75em;
    }
}

@media screen and (max-width:823px) and (orientation: landscape) {
    nav.sidenav ul {
        height: 280px;
        width: 500px !important;
        overflow-y: scroll !important;
        position: fixed;
    }

    .secondary_menu {
        height: 150px !important;
        overflow-y: scroll !important;
        position: fixed;
    }
}


@media screen and (max-width:320px) {
    /*if extreme narrow width, allow squashing of buttons*/
    ul.toolbar_many_buttons {
        right: 0%;
    }

    ul.tabs {
        letter-spacing: -1px;
    }

    .selected_service_view {
        margin-left: -14px;
        margin-right: -14px;
    }
}

@media screen and (max-width:360px) {
    .selected_service_view_tabs {
        letter-spacing: -1px !important;
    }
}

/*#endregion MEDIA QUERIES */

/*#region BOOTSTRAP ADDONS */

/*for accordion/collapsible*/
.accordion-button {
    background-color: #f6f6f6;
}

    .accordion-button::after {
        order: -1;
        background-image: url('dependencies/bootstrap-icons-1.5.0/plus-circle.svg');
        margin-left: -15px !important;
        margin-right: 15px !important;
    }

    .accordion-button:not(.collapsed)::after {
        order: -1;
        background-image: url('dependencies/bootstrap-icons-1.5.0/dash-circle.svg');
        color: #333333;
        /*background-color: #f6f6f6 !important*/ /*{a-bup-background-color}*/ /*;*/
        border-color: #dddddd;
        margin-left: -15px !important;
        margin-right: 15px !important;
    }

    .accordion-button:not(.collapsed) {
        color: #333333;
        background-color: #f6f6f6 /*{a-bup-background-color}*/;
        border-color: #dddddd;
    }

/* -------- Text Above Record ---------- */
.content_sub_header {
    width: 100%;
    margin: 10px 5px;
    line-height: 2.5;
}

.form-check-input:checked, .form-check-input[type=checkbox]:indeterminate {
    background-color: rgb(62, 62, 62);
    border-color: rgb(62, 62, 62);
}

.label_background, .label_background:hover, .label_background:focus {
    background-color: #f6f6f6 /*{a-bup-background-color}*/;
    border-color: #dddddd /*{a-bup-border}*/;
    color: #333333 /*{a-bup-color}*/;
    text-shadow: 0 /*{a-bup-shadow-x}*/ 1px /*{a-bup-shadow-y}*/ 0 /*{a-bup-shadow-radius}*/ #f3f3f3 /*{a-bup-shadow-color}*/;
}


/*#endregion BOOTSTRAP ADDONS */

.bootstrapButtons {
    align-items: center;
    display: flex;
    justify-content: center;
    font-weight: 700;
    text-transform: uppercase;
}
